Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.parser.algorithm.planar
Enum PlanarAddressFunction.PlanarSubFunction

    java.lang.Object
      java.lang.Enum<PlanarAddressFunction.PlanarSubFunction>
          org.maltparser.parser.algorithm.planar.PlanarAddressFunction.PlanarSubFunction

All Implemented Interfaces:
  Serializable, Comparable<PlanarAddressFunction.PlanarSubFunction>

Enclosing class:
  PlanarAddressFunction

    public static enum PlanarAddressFunction.PlanarSubFunction

extends Enum<PlanarAddressFunction.PlanarSubFunction>

Enum Constant Summary
`INPUT`
`STACK`

Method Summary
`static PlanarAddressFunction.PlanarSubFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PlanarAddressFunction.PlanarSubFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STACK

    public static final PlanarAddressFunction.PlanarSubFunction STACK

### INPUT

    public static final PlanarAddressFunction.PlanarSubFunction INPUT

Method Detail

### values

    public static PlanarAddressFunction.PlanarSubFunction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlanarAddressFunction.PlanarSubFunction c : PlanarAddressFunction.PlanarSubFunction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlanarAddressFunction.PlanarSubFunction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.